## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDomainModelElementTester

    java.lang.Object
      org.eclipse.core.expressions.PropertyTester
          org.eclipse.emf.ecoretools.diagram.part.EcoreDomainModelElementTester

All Implemented Interfaces:
  org.eclipse.core.expressions.IPropertyTester

    public class EcoreDomainModelElementTester

extends org.eclipse.core.expressions.PropertyTester

Constructor Summary
`EcoreDomainModelElementTester()`

Method Summary
`boolean` `test(java.lang.Object receiver, java.lang.String method, java.lang.Object[] args, java.lang.Object expectedValue)`

Methods inherited from class org.eclipse.core.expressions.PropertyTester
`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreDomainModelElementTester

    public EcoreDomainModelElementTester()

Method Detail

### test

    public boolean test(java.lang.Object receiver,
                        java.lang.String method,
                        java.lang.Object[] args,
                        java.lang.Object expectedValue)

Copyright 2007 Anyware Technologies. All Rights Reserved.